- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
My aim was to make a block consisting of a circle with a radius of 1 hatched with SOLID inside.
When I delete the hatch codes, the block consisting of the circle is formed, but there is a problem with the hatch codes, the block is not formed with the hatch codes.
(if (not (tblsearch "BLOCK" "NKT"))
(progn
(entmake ; block
(list
(cons 0 "BLOCK")
(cons 100 "AcDbEntity")
(cons 67 0) ; model space
;(cons 8 "0") ; layer 0
(cons 100 "AcDbBlockReference")
(cons 2 "NKT") ; Blok name
(cons 10 '(0 0 0)) ; base point
(cons 70 0)
)
)
(entmake ; circle
(list
(cons 0 "CIRCLE")
(cons 100 "AcDbEntity")
(cons 10 '(0.0 0.0 0.0)) ; center point
(cons 67 0)
(cons 40 1) ; radius
)
)
(entmake ; hatch
(list
(cons 0 "HATCH")
(cons 100 "AcDbHatch")
(cons 100 "AcDbEntity")
(cons 2 "SOLID")
(cons 10 '(0.0 0.0 0.0)) ; center point
(cons 40 1)
(cons 70 1) ;solid fill
(cons 76 1)
(cons 210 '(0.0 0.0 1.0))
(cons 71 1)
(cons 67 0)
)
)
(entmake '((0 . "ENDBLK") (100 . "AcDbBlockEnd") (8 . "0")))
)
)
Solved! Go to Solution.
Link copied